Bug 62166 - Mistype in startup script cripples auxiliary configuration files
Mistype in startup script cripples auxiliary configuration files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-27 20:54 EST by Need Real Name
Modified: 2007-04-18 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 20:54:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-27 20:54:38 EST
Description of Problem:
/etc/rc.d/init.d/sendmail now conditionally calls make to create .db files 
from the flat files in /etc/mail (such as virtusertabel.db). The make call
has a "-q" option, which prevents any processing of these files! I think
the developer MEANT to use the -s option.

The consequences of this problem is that someone who expects the sendmail 
script to rebuild those files will probably be very puzzled and disappointed,
and may indeed throw up his/her hands at the whole thing, and tell everyone
how terrible Linux is, and all that, ans we wouldn't want that, would we?

Version-Release number of selected component (if applicable):
sendmail-cf-8.11.6-3.i386.rpm
file /etc/rc.d/init.d/sendmail

How Reproducible:
Install sendmail and make, and then put something into 
/etc/mail/virtusertable, and then start sendmail via 
the script, and see virtusertable.db NOT get created.


Steps to Reproduce:
1. Install sendmail and make (or make sure thay are there).
2. Put something into /etc/mail/virtusertable
3. Start sendmail via the script.
4. Observe that virtusertable.db is NOT created.

Actual Results:
If you put a new email address into virtusertable, it has not been posted
to the virtusertable.db, so the actual results are that the email address in 
question is processed as if it were never entered. 

Expected Results:
The e-mail adress, domain, etc. would be availabel to sendmail.

Additional Information:
Two workarounds exist:
    1. The sendmail admin can run make to create the files at any time.
    2. The file /etc/rc.d/init.d/sendmail can be fixed. The -q option
       can be changed to the -s option. If this were done on the next
       release, much grief and gnashing of teeth and so forth would be
       reduced.
Comment 1 Florian La Roche 2002-04-03 10:11:02 EST
Fixed in rawhide and that rpm can be easily rebuilt for older releases.
A new errata version is underway.

cu,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.